import strawberry
from strawberry.schema.config import StrawberryConfig

from services.auth import LoginRequiredMiddleware
from resolvers.load import Query
from resolvers.seen import Mutation

schema = strawberry.Schema(
    query=Query, mutation=Mutation, config=StrawberryConfig(auto_camel_case=False), extensions=[LoginRequiredMiddleware]
)
